﻿using ASHermed.SinoInterface.Api.ContractModel.SMTP;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.IFramework.SMTP
{
    /// <summary>
    /// smtp邮件服务
    /// </summary>
    public interface IEmailService
    {
        /// <summary>
        /// 发送邮件（异步）
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<EmailSendOutput> SendAsync(EmailSendInput input);

        /// <summary>
        /// 发送邮件（同步）
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        EmailSendOutput Send(EmailSendInput input);
    }
}
